Skip to main content
POST
/
2025-10
/
marketing-solutions
/
audience-segments
/
delete
/2025-10/marketing-solutions/audience-segments/delete
curl --request POST \
  --url https://api.criteo.com/2025-10/marketing-solutions/audience-segments/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Segment delete request.

Input to delete one or more segments.

data
object[]

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only